RAND_set_rand_method(3)

NAME
RAND_set_rand_method, RAND_get_rand_method, RAND_SSLeay - select RAND method

SYNOPSIS
 #include <openssl/rand.h>

 void RAND_set_rand_method(const RAND_METHOD *meth);

 const RAND_METHOD *RAND_get_rand_method(void);

 RAND_METHOD *RAND_SSLeay(void);

DESCRIPTION
These functions used to allow for the random number generator functions to be replaced by arbitrary code.

They are kept for ABI compatibility but are no longer functional, and should not be used in new programs.

SEE ALSO
rand(3)

HISTORY
RAND_set_rand_method(), RAND_get_rand_method() and RAND_SSLeay() are available in all versions of OpenSSL.

In the engine version of version 0.9.6, RAND_set_rand_method() was altered to take an ENGINE pointer as its argument. As of version 0.9.7, that has been reverted as the ENGINE API transparently overrides RAND defaults if used, otherwise RAND API functions work as before. RAND_set_rand_engine() was also introduced in version 0.9.7.